@import url('../styles.css');
@import url('//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css');

.block-url-types h6 {
    margin-bottom: 20px;
}

.block-url-types input[type="checkbox"] {
    display: none;
}

.block-url-types label {
    padding-left: 0;
}

.block-url-types label:before {
    content: "";
    width: 20px;
    height: 20px;
    display: inline-block;
    vertical-align: bottom;
    margin-right: 10px;
    line-height: 20px;
    text-align: center;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    font-family: "FontAwesome";
}

.block-url-types input[type="checkbox"]:checked+label::before {
    content: "\f00c";
}

.select-all {
    margin-top: 20px;
}

.select-all label {
    font-weight: bold;
}

.generator-status {
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 16px;
    border-bottom: 1px solid #d8d8d8;
    padding-bottom: 10px;
}

.generator-status span.free {
    color: green;
}

.generator-status span.running {
    color: darkred;
}